#
%define purpose_major 5
%define libpurpose %mklibname kf5purpose %{purpose_major}
%define purposewidgets_major 5
%define libpurposewidgets %mklibname kf5purposewidgets %{purposewidgets_major}
%define phabricatorhelpers_major 5
%define libphabricatorhelpers %mklibname phabricatorhelpers %{phabricatorhelpers_major}
%define reviewboardhelpers_major 5
%define libreviewboardhelpers %mklibname reviewboardhelpers %{reviewboardhelpers_major}
%define develname %mklibname kf5purpose -d

%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           purpose
Version:        5.115.0
Release:        %mkrel 1
Summary:        Provides abstractions to get the developer's purposes fulfilled
License:        LGPLv2+
Group:          Graphical desktop/KDE5
Url:            http://www.kde.org
Source:         https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: kdeconnect-kde
BuildRequires: kdeclarative

%description
Framework for providing abstractions to get the developer's purposes fulfilled.

%files -f %{name}.lang
%doc README.md
%{_datadir}/qlogging-*5/purpose.*
%{_kf5_libexecdir}/purposeprocess
%{_kf5_datadir}/%{name}/
%{_kf5_plugindir}/%{name}/
%{_kf5_plugindir}/kfileitemaction/sharefileitemaction.so
%{_kf5_qmldir}/org/kde/%{name}/
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_libdir}/libKF5Purpose.so.%{purpose_major}
%{_kf5_libdir}/libKF5Purpose.so.%{purpose_major}.*
%{_kf5_libdir}/libKF5PurposeWidgets.so.%{purposewidgets_major}
%{_kf5_libdir}/libKF5PurposeWidgets.so.%{purposewidgets_major}.*
%{_kf5_libdir}/libPhabricatorHelpers.so.%{phabricatorhelpers_major}
%{_kf5_libdir}/libPhabricatorHelpers.so.%{phabricatorhelpers_major}.*
%{_kf5_libdir}/libReviewboardHelpers.so.%{reviewboardhelpers_major}
%{_kf5_libdir}/libReviewboardHelpers.so.%{reviewboardhelpers_major}.*
/usr/share/accounts/services/kde/google-youtube.service
/usr/share/accounts/services/kde/nextcloud-upload.service
#--------------------------------------------------------------------

%package -n %develname
Summary:        Provides abstractions to get the developer's purposes fulfilled: Build Environment
Group:          Development/Libraries
Requires:       %{name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       libkf5%{name}-devel = %{version}-%{release}

%description -n %develname
Framework for providing abstractions to get the developer's purposes fulfilled.
Development files.

%files -n %develname
%{_kf5_libdir}/libKF5Purpose.so
%{_kf5_libdir}/libKF5PurposeWidgets.so
%{_kf5_libdir}/cmake/KF5Purpose/
%{_kf5_libdir}/cmake/KDEExperimentalPurpose/
%{_kf5_includedir}/*

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DBUILD_TESTING=OFF -DBUILD_EXAMPLES=OFF

%ninja_build

%install
%ninja_install -C build

%find_lang %{name} --all-name


%changelog
* Sun Feb 11 2024 tex - 5.115.0-1pclos2024
- new version

* Sat Jan 13 2024 tex - 5.114.0-1pclos2024
- new version

* Fri Dec 15 2023 tex - 5.113.0-1pclos2023
- new version

* Sun Nov 12 2023 tex - 5.112.0-1pclos2023
- new version

* Thu Oct 19 2023 tex - 5.111.0-1pclos2023
- new version

* Sun Sep 10 2023 tex - 5.110.0-1pclos2023
- new version

* Sat Aug 19 2023 tex - 5.109.0-1pclos2023
- new version

* Sun Jul 09 2023 tex - 5.108.0-1pclos2023
- new version

* Sun Jun 11 2023 tex - 5.107.0-1pclos2023
- new version

* Sun May 14 2023 tex - 5.106.0-1pclos2023
- new version

* Sat Apr 08 2023 tex - 5.105.0-1pclos2023
- new version

* Wed Mar 08 2023 tex - 5.104.0-1pclos2023
- new version

* Sun Feb 12 2023 tex - 5.103.0-1pclos2023
- new version

* Sat Jan 14 2023 tex - 5.102.0-1pclos2023
- new version

* Sun Dec 11 2022 tex - 5.101.0-1pclos2022
- new version

* Mon Nov 14 2022 tex - 5.100.0-1pclos2022
- new version

* Mon Oct 10 2022 tex - 5.99.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 5.98.0-2pclos2022
- rebuild against updates

* Sun Sep 11 2022 tex - 5.98.0-1pclos2022
- new version

* Mon Aug 15 2022 tex - 5.97.0-1pclos2022
- new version

* Sun Jul 10 2022 tex - 5.96.0-1pclos2022
- new version

* Mon Jun 13 2022 tex - 5.95.0-1pclos2022
- new version

* Wed May 25 2022 tex - 5.94.0-1pclos2022
- new version

* Sun Apr 10 2022 tex - 5.93.0-1pclos2022
- new version

* Sun Mar 13 2022 tex - 5.92.0-1pclos2022
- new version

* Sun Feb 13 2022 tex - 5.91.0-1pclos2022
- new version

* Sat Jan 08 2022 tex - 5.90.0-1pclos2022
- new version

* Tue Dec 14 2021 tex - 5.89.0-1pclos2021
- new version

* Wed Nov 10 2021 tex - 5.88.0-1pclos2021
- new version

* Sat Oct 09 2021 tex - 5.87.0-1pclos2021
- new version

* Mon Sep 13 2021 tex - 5.86.0-2pclos2021
- rebuild against updates

* Sat Sep 11 2021 tex - 5.86.0-1pclos2021
- new version

* Wed Aug 11 2021 tex - 5.85.0-1pclos2021
- new version

* Fri Jul 09 2021 tex - 5.84.0-1pclos2021
- new version

* Sat Jun 12 2021 tex - 5.83.0-1pclos2021
- new version

